vbi_aspect_ratio Struct Reference
High Level Decoding » Events

Information about the picture aspect ratio and open subtitles. More...

`#include <event.h>`

## Data Fields

int | first_line
int | last_line
double | ratio
vbi_bool | film_mode
vbi_subt | open_subtitles

## Detailed Description

Information about the picture aspect ratio and open subtitles.

This is available via VBI_EVENT_ASPECT.

## Field Documentation

## first_line

int vbi_aspect_ratio::first_line

first_line and last_line, inclusive, describe the bounds of active video, i. e. without the black bars in letterbox mode. These are first field line numbers according to the ITU-R line numbering scheme, see vbi_sliced. For example PAL 23 ... 310 (288 lines), NTSC 22 ... 262 (240 lines).

Referenced by vbi_reset_prog_info().

## ratio

double vbi_aspect_ratio::ratio

The picture aspect ratio in anamorphic mode, 16/9 for example. Normal or letterboxed video has aspect ratio 1/1.

Referenced by vbi_reset_prog_info().

## film_mode

vbi_bool vbi_aspect_ratio::film_mode

`TRUE` when the source is known to be film transferred to video, as opposed to interlaced video from a video camera. (This is actually a helper flag for PALPlus decoders, but it may assist deinterlacers too.)

Referenced by vbi_reset_prog_info().

## open_subtitles

vbi_subt vbi_aspect_ratio::open_subtitles

Describes how subtitles are inserted into the picture, see vbi_subt for details.

Referenced by vbi_reset_prog_info().